export declare const getSingleStockInfo: (stock: string) => Promise<Stock>;
export declare const getStocksInfo: (stockList: string[]) => Promise<Stock[]>;
export interface Stock {
    maxAge: number;
    preMarketChangePercent: NumberWrapper;
    preMarketChange: NumberWrapper;
    preMarketTime: number;
    preMarketPrice: NumberWrapper;
    preMarketSource: string;
    postMarketChange: UnknownEmptyObject;
    postMarketPrice: UnknownEmptyObject;
    regularMarketChangePercent: NumberWrapper;
    regularMarketChange: NumberWrapper;
    regularMarketTime: number;
    priceHint: NumberWrapperLongFormat;
    regularMarketPrice: NumberWrapper;
    regularMarketDayHigh: NumberWrapper;
    regularMarketDayLow: NumberWrapper;
    regularMarketVolume: NumberWrapperLongFormat;
    averageDailyVolume10Day: UnknownEmptyObject;
    averageDailyVolume3Month: UnknownEmptyObject;
    regularMarketPreviousClose: NumberWrapper;
    regularMarketSource: string;
    regularMarketOpen: NumberWrapper;
    strikePrice: UnknownEmptyObject;
    openInterest: UnknownEmptyObject;
    exchange: string;
    exchangeName: string;
    exchangeDataDelayedBy: number;
    marketState: string;
    quoteType: string;
    symbol: string;
    underlyingSymbol: null;
    shortName: string;
    longName: string;
    currency: string;
    quoteSourceName: string;
    currencySymbol: string;
    fromCurrency: null;
    toCurrency: null;
    lastMarket: null;
    volume24Hr: UnknownEmptyObject;
    volumeAllCurrencies: UnknownEmptyObject;
    circulatingSupply: UnknownEmptyObject;
    marketCap: NumberWrapperLongFormat;
}
export interface UnknownEmptyObject {
}
export interface NumberWrapperLongFormat {
    raw: number;
    fmt: string;
    longFmt: string;
}
export interface NumberWrapper {
    raw: number;
    fmt: string;
}
